]> arthur.barton.de Git - backup-script.git/commitdiff
Streamline and document exit codes
authorAlexander Barton <alex@barton.de>
Tue, 18 Aug 2015 09:08:03 +0000 (11:08 +0200)
committerAlexander Barton <alex@barton.de>
Tue, 18 Aug 2015 09:08:03 +0000 (11:08 +0200)
README.md
bin/backup-script
bin/backup-script-wrapper

index d5c6f5420f445148bdf5e48e897d58d9c2263e7a..f816c05c6d0766b0384a6150fd4463be966562c0 100644 (file)
--- a/README.md
+++ b/README.md
@@ -151,3 +151,14 @@ definition files are automatically mapped to the new backup-script variables:
 * source -> source_root
 * pre_exec -> job_pre_exec
 * post_exec -> job_post_exec
+
+
+## Exit codes
+
+- 1: Unspecific Error!
+- 2: Usage information has been shown.
+- 3: Can't read system definition
+- 4: PID-file exists!
+- 5: Pre-exec command failed!
+- 6: There have been systems with errors!
+- 9: Aborted (CTRL-C)!
index 7699b587813b4fd0046a3f3b551d2c37a4b41444..2b9f7d7f2e91f4c45cdea62581bc211bbf1a934d 100755 (executable)
@@ -55,7 +55,7 @@ Usage() {
        echo "Configuration file is \"$conf\","
        echo "using \"$conf_d\" as configuration directory."
        echo
-       exit 1
+       exit 2
 }
 
 CleanUp() {
@@ -306,7 +306,7 @@ if [ $# -ge 1 ]; then
        for s in "$@"; do
                if [ ! -r "${conf_d}/$s" ]; then
                        echo "$NAME: Can' read \"${conf_d}/$s\"!"
-                       exit 1
+                       exit 3
                fi
                sys="$sys ${conf_d}/$s"
        done
@@ -321,7 +321,7 @@ if [ -e "$PIDFILE" ]; then
        echo
        echo -n "Aborted: "; date
        echo
-       exit 3
+       exit 4
 fi
 touch "$PIDFILE" 2>/dev/null
 if [ $? -ne 0 ]; then
@@ -338,7 +338,7 @@ if [ -n "$pre_exec" ]; then
                echo "Error: pre-exec command failed!"; echo
                CleanUp
                echo "Aborting backup."; echo
-               exit 2
+               exit 5
        fi
        sleep 2
        echo
@@ -557,8 +557,7 @@ for f in $sys; do
 
        if [ $ret -eq 20 ]; then
                echo "Backup of \"$system\" interrupted. Aborting ..."
-               CleanUp
-               exit 1
+               GotSignal
        fi
 
        echo -n "End date: "; date
@@ -639,7 +638,7 @@ echo
 if [ $count_started -ne $count_ok ]; then
        echo "----->  THERE HAVE BEEN ERRORS!  <-----"
        echo
-       exit 1
+       exit 6
 fi
 
 # -eof-
index fbd061f6c919b37e7ae162defdb5202e4d7b91c1..62c04b04a14a06db1d477211467168ea9c0bef3b 100755 (executable)
@@ -22,7 +22,7 @@ fi
 
 NAME="backup-script"
 HOST=`hostname`
-TMP=`mktemp /tmp/$NAME.XXXXXXXX` || exit 11
+TMP=`mktemp /tmp/$NAME.XXXXXXXX` || exit 1
 LOGFILE="/var/log/backup-script.log"
 
 PATH="$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"